$(document).ready(function () {
     $(".showax").click(function () {
       $(this).prev().trigger('click');
     });

     $('.upload').change(function (e) {
       var self=this;
       var x=$(this).attr("data-content");
       if (typeof (FileReader) != "undefined") {
         if (self.files && self.files[0]) {
           var reader = new FileReader();

           reader.onload = function (e) {
//             $('#blah').attr('src', e.target.result);
             $(self).next().css("background-image", "url("+ e.target.result + ")");
             $(self).next().children().eq(0).css("opacity","0");
             $(self).siblings(".add-img").css({"display":"block"});
             $(self).siblings(".remove-img").css({"display":"block"});
           };

           reader.readAsDataURL(self.files[0]);
         }else{
             //alert("عکس را انتخاب کنید");
             
         }
       } else {
         //alert("مرورگر شما از امکانات HTML5 پشتیبانی نمی نماید.");
       }
     });
});
